%add_findreq_skiplist %_bindir/yaz-asncomp

Name: yaz
Version: 2.1.54
Release: alt1

Summary: Z39.50 Programs

License: Revised BSD License
Group: Development/Other
URL: http://www.indexdata.dk/yaz/

Packager: Pavel Vainerman <pv@altlinux.ru>
#Source: %name-%version.tar.gz
Source: http://ftp.indexdata.dk/pub/yaz/%name-%version.tar.gz

# Automatically added by buildreq on Tue Jan 30 2007
BuildRequires: docbook-dtds gcc-c++ glibc-devel-static libncurses-devel libssl-devel libwrap-devel libxslt-devel tcl

Requires: libxml2 openssl readline lib%name = %version-%release

%description
This package contains both a test-server and clients (normal & ssl)
for the ANSI/NISO Z39.50 protocol for Information Retrieval.

%package -n lib%name
Summary: Z39.50 Library
Group: System/Libraries
Requires: libxml2 openssl

%description -n lib%name
YAZ is a library for the ANSI/NISO Z39.50 protocol for Information
Retrieval.

%package -n lib%name-devel
Summary: Z39.50 Library - development package
Group: Development/Other
Requires: libyaz = %version-%release libxml2-devel

%description -n lib%name-devel
Development libraries and includes for the libyaz package.

%prep
%setup

%build
%configure --enable-shared --enable-tcpd --with-xml2 --with-openssl
%make_build

%install
%makeinstall

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files
%doc README LICENSE NEWS TODO
%_bindir/yaz-client
%_bindir/yaz-ztest
%_bindir/zoomsh*
%_bindir/yaz-marcdump
%_bindir/yaz-iconv
%_mandir/man1/yaz-client.*
%_mandir/man8/yaz-ztest.*
%_mandir/man1/zoomsh.*
%_mandir/man1/yaz-marcdump.*
%_mandir/man1/yaz-iconv.*
%_mandir/man7/yaz-log.*

%files -n lib%name
%_libdir/*.so.*
%_mandir//man7/yaz.*
%dir %_datadir/%name
%_datadir/%name/etc

%files -n lib%name-devel
%_bindir/yaz-config
%_bindir/yaz-asncomp
%_includedir/yaz
%_libdir/*.so
%_datadir/aclocal/yaz.m4
%_mandir/man1/yaz-asncomp.*
%_mandir/man8/yaz-config.*
%_docdir/yaz
%_datadir/%name/z39.50
%_datadir/%name/ill


%changelog
* Thu Apr 12 2007 Pavel Vainerman <pv@altlinux.ru> 2.1.54-alt1
- new version
- change license (bug #11482)

* Tue Jan 30 2007 Pavel Vainerman <pv@altlinux.ru> 2.1.48-alt1
- new version (2.1.48)

* Sun Oct 16 2005 Pavel Vainerman <pv@altlinux.ru> 2.1.8-alt1
- first build for ALT Linux Sisyphus
